Changeset 2671 for ThirdParty


Ignore:
Timestamp:
Dec 1, 2012 2:46:22 PM (7 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/trunk/configure

    r2662 r2671  
    10941094                          icl/link). Default when mentioned: mingw. Default
    10951095                          when not mentioned: disabled.
    1096   --enable-static-standardlibs
    1097                           whether to link against static standard libraries
    1098                           (libgcc, libgfortran, libstdc++)
    10991096  --disable-pkg-config    disable use of pkg-config (if available)
    11001097  --enable-static[=PKGS]
     
    19561953
    19571954
    1958 # check whether to add flags for static linking against standard libraries
    1959 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1960 if test "${enable_static_standardlibs+set}" = set; then
    1961   enableval="$enable_static_standardlibs"
    1962   case "$enableval" in
    1963      no | yes | auto ) ;;
    1964      *)
    1965        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1966 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1967    { (exit 1); exit 1; }; } ;;
    1968    esac
    1969    use_static_standardlibs=$enableval
    1970 else
    1971   if test $enable_shared = yes ; then
    1972      use_static_standardlibs = no
    1973    else
    1974      use_static_standardlibs = auto
    1975    fi
    1976 
    1977 
    1978 fi;
    1979 
    1980 
    1981 
    1982 
    1983 
    19841955
    19851956ac_ext=c
     
    31053076    CFLAGS="$OPT_CFLAGS"
    31063077  fi
    3107 
    31083078else
    31093079  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32743244esac
    32753245
    3276 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3277 if test x$use_static_standardlibs != xno ; then
    3278   case $build in
    3279     *-mingw*)
    3280       static_standardlib_flag=-static
    3281       ;;
    3282     *)
    3283       static_standardlib_flag=-static-libgcc
    3284       ;;
    3285   esac
    3286   case " $LDFLAGS " in
    3287     *" $static_standardlib_flag "* ) ;;
    3288     *)
    3289     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3290 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3291     coin_save_LDFLAGS="$LDFLAGS"
    3292     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3293     cat >conftest.$ac_ext <<_ACEOF
    3294 /* confdefs.h.  */
    3295 _ACEOF
    3296 cat confdefs.h >>conftest.$ac_ext
    3297 cat >>conftest.$ac_ext <<_ACEOF
    3298 /* end confdefs.h.  */
    3299 
    3300 int
    3301 main ()
    3302 {
    3303 int i=0;
    3304   ;
    3305   return 0;
    3306 }
    3307 _ACEOF
    3308 rm -f conftest.$ac_objext conftest$ac_exeext
    3309 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3310   (eval $ac_link) 2>conftest.er1
    3311   ac_status=$?
    3312   grep -v '^ *+' conftest.er1 >conftest.err
    3313   rm -f conftest.er1
    3314   cat conftest.err >&5
    3315   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3316   (exit $ac_status); } &&
    3317          { ac_try='test -z "$ac_c_werror_flag"
    3318                          || test ! -s conftest.err'
    3319   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3320   (eval $ac_try) 2>&5
    3321   ac_status=$?
    3322   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3323   (exit $ac_status); }; } &&
    3324          { ac_try='test -s conftest$ac_exeext'
    3325   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3326   (eval $ac_try) 2>&5
    3327   ac_status=$?
    3328   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3329   (exit $ac_status); }; }; then
    3330   echo "$as_me:$LINENO: result: yes" >&5
    3331 echo "${ECHO_T}yes" >&6
    3332 else
    3333   echo "$as_me: failed program was:" >&5
    3334 sed 's/^/| /' conftest.$ac_ext >&5
    3335 
    3336 echo "$as_me:$LINENO: result: no" >&5
    3337 echo "${ECHO_T}no" >&6
    3338        LDFLAGS="$coin_save_LDFLAGS"
    3339        if test $use_static_standardlibs = yes ; then
    3340          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3341 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3342    { (exit 1); exit 1; }; }
    3343        fi
    3344 
    3345 fi
    3346 rm -f conftest.err conftest.$ac_objext \
    3347       conftest$ac_exeext conftest.$ac_ext
    3348     ;;
    3349   esac
    3350 fi
    3351 
    33523246ac_ext=c
    33533247ac_cpp='$CPP $CPPFLAGS'
     
    33783272
    33793273
    3380 
    33813274ac_ext=f
    33823275ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    35883481
    35893482# Provide some information about the compiler.
    3590 echo "$as_me:3590:" \
     3483echo "$as_me:3483:" \
    35913484     "checking for Fortran 77 compiler version" >&5
    35923485ac_compiler=`set X $ac_compile; echo $2`
     
    39553848    FFLAGS="$OPT_FFLAGS"
    39563849  fi
    3957 
    39583850else
    39593851  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    40973989    ;;
    40983990esac
    4099 
    4100 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4101 if test x$use_static_standardlibs != xno ; then
    4102   case $build in
    4103     *-mingw*)
    4104       static_standardlib_flag=-static
    4105       ;;
    4106     *)
    4107       static_standardlib_flag=-static-libgfortran
    4108       ;;
    4109   esac
    4110   case " $LDFLAGS " in
    4111     *" $static_standardlib_flag "* ) ;;
    4112     *)
    4113     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4114 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4115     coin_save_LDFLAGS="$LDFLAGS"
    4116     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4117     cat >conftest.$ac_ext <<_ACEOF
    4118       program main
    4119       integer i
    4120       end
    4121 _ACEOF
    4122 rm -f conftest.$ac_objext conftest$ac_exeext
    4123 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4124   (eval $ac_link) 2>conftest.er1
    4125   ac_status=$?
    4126   grep -v '^ *+' conftest.er1 >conftest.err
    4127   rm -f conftest.er1
    4128   cat conftest.err >&5
    4129   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4130   (exit $ac_status); } &&
    4131          { ac_try='test -z "$ac_f77_werror_flag"
    4132                          || test ! -s conftest.err'
    4133   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4134   (eval $ac_try) 2>&5
    4135   ac_status=$?
    4136   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4137   (exit $ac_status); }; } &&
    4138          { ac_try='test -s conftest$ac_exeext'
    4139   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4140   (eval $ac_try) 2>&5
    4141   ac_status=$?
    4142   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4143   (exit $ac_status); }; }; then
    4144   echo "$as_me:$LINENO: result: yes" >&5
    4145 echo "${ECHO_T}yes" >&6
    4146 else
    4147   echo "$as_me: failed program was:" >&5
    4148 sed 's/^/| /' conftest.$ac_ext >&5
    4149 
    4150 echo "$as_me:$LINENO: result: no" >&5
    4151 echo "${ECHO_T}no" >&6
    4152        LDFLAGS="$coin_save_LDFLAGS"
    4153        if test $use_static_standardlibs = yes ; then
    4154          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4155 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4156    { (exit 1); exit 1; }; }
    4157        fi
    4158 
    4159 fi
    4160 rm -f conftest.err conftest.$ac_objext \
    4161       conftest$ac_exeext conftest.$ac_ext
    4162     ;;
    4163   esac
    4164 fi
    41653991
    41663992ac_ext=c
     
    43154141# unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
    43164142if test "x${prefix}" = xNONE ; then
    4317   COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib64/pkgconfig:${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    4318 else
    4319   COIN_PKG_CONFIG_PATH="${prefix}/lib64/pkgconfig:${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     4143  COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     4144else
     4145  COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    43204146fi
    43214147
     
    44284254ac_save_FFLAGS=$FFLAGS
    44294255FFLAGS="$FFLAGS $ac_verb"
    4430 (eval echo $as_me:4430: \"$ac_link\") >&5
     4256(eval echo $as_me:4256: \"$ac_link\") >&5
    44314257ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    44324258echo "$ac_f77_v_output" >&5
     
    45064332ac_save_FFLAGS=$FFLAGS
    45074333FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4508 (eval echo $as_me:4508: \"$ac_link\") >&5
     4334(eval echo $as_me:4334: \"$ac_link\") >&5
    45094335ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    45104336echo "$ac_f77_v_output" >&5
     
    53845210
    53855211# Provide some information about the compiler.
    5386 echo "$as_me:5386:" \
     5212echo "$as_me:5212:" \
    53875213     "checking for Fortran compiler version" >&5
    53885214ac_compiler=`set X $ac_compile; echo $2`
     
    71566982*-*-irix6*)
    71576983  # Find out which ABI we are using.
    7158   echo '#line 7158 "configure"' > conftest.$ac_ext
     6984  echo '#line 6984 "configure"' > conftest.$ac_ext
    71596985  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    71606986  (eval $ac_compile) 2>&5
     
    96339459   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    96349460   -e 's:$: $lt_compiler_flag:'`
    9635    (eval echo "\"\$as_me:9635: $lt_compile\"" >&5)
     9461   (eval echo "\"\$as_me:9461: $lt_compile\"" >&5)
    96369462   (eval "$lt_compile" 2>conftest.err)
    96379463   ac_status=$?
    96389464   cat conftest.err >&5
    9639    echo "$as_me:9639: \$? = $ac_status" >&5
     9465   echo "$as_me:9465: \$? = $ac_status" >&5
    96409466   if (exit $ac_status) && test -s "$ac_outfile"; then
    96419467     # The compiler can only warn and ignore the option if not recognized
     
    99019727   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    99029728   -e 's:$: $lt_compiler_flag:'`
    9903    (eval echo "\"\$as_me:9903: $lt_compile\"" >&5)
     9729   (eval echo "\"\$as_me:9729: $lt_compile\"" >&5)
    99049730   (eval "$lt_compile" 2>conftest.err)
    99059731   ac_status=$?
    99069732   cat conftest.err >&5
    9907    echo "$as_me:9907: \$? = $ac_status" >&5
     9733   echo "$as_me:9733: \$? = $ac_status" >&5
    99089734   if (exit $ac_status) && test -s "$ac_outfile"; then
    99099735     # The compiler can only warn and ignore the option if not recognized
     
    100059831   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    100069832   -e 's:$: $lt_compiler_flag:'`
    10007    (eval echo "\"\$as_me:10007: $lt_compile\"" >&5)
     9833   (eval echo "\"\$as_me:9833: $lt_compile\"" >&5)
    100089834   (eval "$lt_compile" 2>out/conftest.err)
    100099835   ac_status=$?
    100109836   cat out/conftest.err >&5
    10011    echo "$as_me:10011: \$? = $ac_status" >&5
     9837   echo "$as_me:9837: \$? = $ac_status" >&5
    100129838   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    100139839   then
     
    1242212248  lt_status=$lt_dlunknown
    1242312249  cat > conftest.$ac_ext <<EOF
    12424 #line 12424 "configure"
     12250#line 12250 "configure"
    1242512251#include "confdefs.h"
    1242612252
     
    1252212348  lt_status=$lt_dlunknown
    1252312349  cat > conftest.$ac_ext <<EOF
    12524 #line 12524 "configure"
     12350#line 12350 "configure"
    1252512351#include "confdefs.h"
    1252612352
     
    1488214708   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1488314709   -e 's:$: $lt_compiler_flag:'`
    14884    (eval echo "\"\$as_me:14884: $lt_compile\"" >&5)
     14710   (eval echo "\"\$as_me:14710: $lt_compile\"" >&5)
    1488514711   (eval "$lt_compile" 2>conftest.err)
    1488614712   ac_status=$?
    1488714713   cat conftest.err >&5
    14888    echo "$as_me:14888: \$? = $ac_status" >&5
     14714   echo "$as_me:14714: \$? = $ac_status" >&5
    1488914715   if (exit $ac_status) && test -s "$ac_outfile"; then
    1489014716     # The compiler can only warn and ignore the option if not recognized
     
    1498614812   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1498714813   -e 's:$: $lt_compiler_flag:'`
    14988    (eval echo "\"\$as_me:14988: $lt_compile\"" >&5)
     14814   (eval echo "\"\$as_me:14814: $lt_compile\"" >&5)
    1498914815   (eval "$lt_compile" 2>out/conftest.err)
    1499014816   ac_status=$?
    1499114817   cat out/conftest.err >&5
    14992    echo "$as_me:14992: \$? = $ac_status" >&5
     14818   echo "$as_me:14818: \$? = $ac_status" >&5
    1499314819   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1499414820   then
     
    1655616382   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1655716383   -e 's:$: $lt_compiler_flag:'`
    16558    (eval echo "\"\$as_me:16558: $lt_compile\"" >&5)
     16384   (eval echo "\"\$as_me:16384: $lt_compile\"" >&5)
    1655916385   (eval "$lt_compile" 2>conftest.err)
    1656016386   ac_status=$?
    1656116387   cat conftest.err >&5
    16562    echo "$as_me:16562: \$? = $ac_status" >&5
     16388   echo "$as_me:16388: \$? = $ac_status" >&5
    1656316389   if (exit $ac_status) && test -s "$ac_outfile"; then
    1656416390     # The compiler can only warn and ignore the option if not recognized
     
    1666016486   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1666116487   -e 's:$: $lt_compiler_flag:'`
    16662    (eval echo "\"\$as_me:16662: $lt_compile\"" >&5)
     16488   (eval echo "\"\$as_me:16488: $lt_compile\"" >&5)
    1666316489   (eval "$lt_compile" 2>out/conftest.err)
    1666416490   ac_status=$?
    1666516491   cat out/conftest.err >&5
    16666    echo "$as_me:16666: \$? = $ac_status" >&5
     16492   echo "$as_me:16492: \$? = $ac_status" >&5
    1666716493   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1666816494   then
     
    1886718693   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1886818694   -e 's:$: $lt_compiler_flag:'`
    18869    (eval echo "\"\$as_me:18869: $lt_compile\"" >&5)
     18695   (eval echo "\"\$as_me:18695: $lt_compile\"" >&5)
    1887018696   (eval "$lt_compile" 2>conftest.err)
    1887118697   ac_status=$?
    1887218698   cat conftest.err >&5
    18873    echo "$as_me:18873: \$? = $ac_status" >&5
     18699   echo "$as_me:18699: \$? = $ac_status" >&5
    1887418700   if (exit $ac_status) && test -s "$ac_outfile"; then
    1887518701     # The compiler can only warn and ignore the option if not recognized
     
    1913518961   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1913618962   -e 's:$: $lt_compiler_flag:'`
    19137    (eval echo "\"\$as_me:19137: $lt_compile\"" >&5)
     18963   (eval echo "\"\$as_me:18963: $lt_compile\"" >&5)
    1913818964   (eval "$lt_compile" 2>conftest.err)
    1913918965   ac_status=$?
    1914018966   cat conftest.err >&5
    19141    echo "$as_me:19141: \$? = $ac_status" >&5
     18967   echo "$as_me:18967: \$? = $ac_status" >&5
    1914218968   if (exit $ac_status) && test -s "$ac_outfile"; then
    1914318969     # The compiler can only warn and ignore the option if not recognized
     
    1923919065   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1924019066   -e 's:$: $lt_compiler_flag:'`
    19241    (eval echo "\"\$as_me:19241: $lt_compile\"" >&5)
     19067   (eval echo "\"\$as_me:19067: $lt_compile\"" >&5)
    1924219068   (eval "$lt_compile" 2>out/conftest.err)
    1924319069   ac_status=$?
    1924419070   cat out/conftest.err >&5
    19245    echo "$as_me:19245: \$? = $ac_status" >&5
     19071   echo "$as_me:19071: \$? = $ac_status" >&5
    1924619072   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1924719073   then
Note: See TracChangeset for help on using the changeset viewer.